| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_usb_2_0_extension_descriptor Struct Reference
USB descriptors

A structure representing the USB 2.0 Extension descriptor This descriptor is documented in section 9.6.2.1 of the USB 3.0 specification. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type. More...
uint8_t | bDevCapabilityType
| Capability type. More...
uint32_t | bmAttributes
| Bitmap encoding of supported device level features. More...

## Detailed Description

A structure representing the USB 2.0 Extension descriptor This descriptor is documented in section 9.6.2.1 of the USB 3.0 specification.

All multiple-byte fields are represented in host-endian format.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_usb_2_0_extension_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_DEVICE_CAPABILITY LIBUSB_DT_DEVICE_CAPABILITY in this context.

## ◆ bDevCapabilityType

uint8_t libusb_usb_2_0_extension_descriptor::bDevCapabilityType

Capability type.

Will have value libusb_capability_type::LIBUSB_BT_USB_2_0_EXTENSION LIBUSB_BT_USB_2_0_EXTENSION in this context.

## ◆ bmAttributes

uint32_t libusb_usb_2_0_extension_descriptor::bmAttributes

Bitmap encoding of supported device level features.

A value of one in a bit location indicates a feature is supported; a value of zero indicates it is not supported. See libusb_usb_2_0_extension_attributes.

The documentation for this struct was generated from the following file:

- libusb.h